
from fastapi import FastAPI, HTTPException
from pydantic import BaseModel
import random

class Item(BaseModel):
    name: str
    description: str = None
    price: float
    tax: float = None

def create_item(app: FastAPI, item: Item):
    # Generate a random item ID
    item_id = random.randint(1, 1000)
    # Simulate storing the item in a database
    app.state.items[item_id] = item
    return {"item_id": item_id, "item": item.dict()}

app = FastAPI()

app.state.items = {}

@app.post("/items/")
async def create_item_endpoint(item: Item):
    return create_item(app, item)



